Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision 1efbc190a388190d54fbdbcf384110dd991977fe)
+++ src/sas/sasgui/guiframe/config.py	(revision 5e88e27c8a0ea11eadbfa391f3676e1754e9c854)
@@ -33,4 +33,5 @@
 _do_aboutbox = True
 _do_acknowledge = True
+_do_release = True
 _do_tutorial = True
 _acknowledgement_preamble =\
@@ -49,8 +50,13 @@
 _acknowledgement_citation = \
 '''M. Doucet et al. SasView Version 4.1.2, Zenodo, 10.5281/zenodo.825675'''
-
 _acknowledgement =  \
 '''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
 '''
+_release_preamble =\
+'''These Release Notes, incorporating Known Issues, can also be found at:'''
+_release_location1 =\
+'''{SasView Installation Folder}\sasview\installers\README.txt'''
+_release_location2 =\
+'''https://github.com/SasView/sasview/releases/'''
 
 _homepage = "http://www.sasview.org"
@@ -94,5 +100,5 @@
 _corner_image = os.path.join(icon_path, "angles_flat.png")
 _welcome_image = os.path.join(icon_path, "SVwelcome.png")
-_copyright = "(c) 2009 - 2017, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
+_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
 marketplace_url = "http://marketplace.sasview.org/"
 
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision 5f082513a911651a38883ad5781724342d27ee72)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision 5e88e27c8a0ea11eadbfa391f3676e1754e9c854)
@@ -1276,5 +1276,5 @@
 
         wx_id = wx.NewId()
-        self._help_menu.Append(wx_id, '&Documentation', '')
+        self._help_menu.Append(wx_id, '&Documentation', 'Help documentation for SasView')
         wx.EVT_MENU(self, wx_id, self._onSphinxDocs)
 
@@ -1283,6 +1283,17 @@
             # Pluralised both occurences of 'Tutorial' in the line below
             # S King, Sep 2018
-            self._help_menu.Append(wx_id, '&Tutorials', 'Software tutorials')
+            self._help_menu.Append(wx_id, '&Tutorials', 'Tutorials on how to use SasView')
             wx.EVT_MENU(self, wx_id, self._onTutorial)
+
+        if config.marketplace_url:
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&Model marketplace', 'Plug-in fitting models for SasView')
+            wx.EVT_MENU(self, wx_id, self._on_marketplace_click)
+
+        if config._do_release:
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&Release notes',
+                                   'SasView release notes and known issues')
+            wx.EVT_MENU(self, wx_id, self._onRelease)
 
         if config._do_acknowledge:
@@ -1295,11 +1306,6 @@
             logger.info("Doing help menu")
             wx_id = wx.NewId()
-            self._help_menu.Append(wx_id, '&About', 'Software information')
+            self._help_menu.Append(wx_id, '&About', 'Information about SasView')
             wx.EVT_MENU(self, wx_id, self._onAbout)
-
-        if config.marketplace_url:
-            wx_id = wx.NewId()
-            self._help_menu.Append(wx_id, '&Model marketplace', '')
-            wx.EVT_MENU(self, wx_id, self._on_marketplace_click)
 
         # Checking for updates
@@ -2137,4 +2143,16 @@
             import sas.sasgui.guiframe.aboutbox as AboutBox
             dialog = AboutBox.DialogAbout(None, -1, "")
+            dialog.ShowModal()
+
+    def _onRelease(self, evt):
+        """
+        Pop up the release notes
+
+        :param evt: menu event
+
+        """
+        if config._do_release:
+            import sas.sasgui.guiframe.releasebox as ReleaseBox
+            dialog = ReleaseBox.DialogRelease(None, -1, "")
             dialog.ShowModal()
 
Index: src/sas/sasgui/guiframe/releasebox.py
===================================================================
--- src/sas/sasgui/guiframe/releasebox.py	(revision 5e88e27c8a0ea11eadbfa391f3676e1754e9c854)
+++ src/sas/sasgui/guiframe/releasebox.py	(revision 5e88e27c8a0ea11eadbfa391f3676e1754e9c854)
@@ -0,0 +1,85 @@
+'''
+Created on Sep 17, 2018
+Developed from acknowledgebox.py
+@author: sking
+'''
+
+__id__ = "$Id: releasebox.py 2018-17-09 sking $"
+# What is this and is it important?
+__revision__ = "$Revision: 1193 $"
+
+import wx
+import wx.richtext
+import wx.lib.hyperlink
+from wx.lib.expando import ExpandoTextCtrl
+
+from sas import get_local_config
+config = get_local_config()
+
+class DialogRelease(wx.Dialog):
+    """
+    "Release Notes" Dialog Box
+
+    Shows the current SasView Release Notes.
+    """
+
+    def __init__(self, *args, **kwds):
+
+        kwds["style"] = wx.DEFAULT_DIALOG_STYLE
+        wx.Dialog.__init__(self, *args, **kwds)
+
+        self.preamble = wx.StaticText(self, -1, config._release_preamble)
+        items = [config._release_location1,
+                 config._release_location2]
+        self.list1 = wx.StaticText(self, -1, "DEVELOPERS  " + items[0])
+        self.list2 = wx.StaticText(self, -1, "USERS              " + items[1])
+        self.static_line = wx.StaticLine(self, 0)
+        self.__set_properties()
+        self.__do_layout()
+
+    def __set_properties(self):
+        """
+        :TODO - add method documentation
+        """
+        self.preamble.SetFont(wx.Font(11, wx.DEFAULT, wx.NORMAL, wx.NORMAL, 0, ""))
+        self.preamble.SetFont(wx.Font(10, wx.DEFAULT, wx.NORMAL, wx.NORMAL, 0, ""))
+        self.SetTitle("SasView Release Notes & Known Issues")
+        self.SetClientSize((600, 320))
+
+    def __do_layout(self):
+        """
+        :TODO - add method documentation
+        """
+        sizer_main = wx.BoxSizer(wx.VERTICAL)
+        sizer_titles = wx.BoxSizer(wx.VERTICAL)
+        sizer_titles.Add(self.preamble, 0, wx.ALL|wx.EXPAND, 5)
+        sizer_titles.Add(self.list1, 0, wx.ALL|wx.EXPAND, 5)
+        sizer_titles.Add(self.list2, 0, wx.ALL|wx.EXPAND, 5)
+        sizer_main.Add(sizer_titles, -1, wx.ALL|wx.EXPAND, 5)
+        self.SetAutoLayout(True)
+        self.SetSizer(sizer_main)
+        self.Layout()
+        self.Centre()
+
+
+##### testing code ############################################################
+class MyApp(wx.App):
+    """
+    Class for running module as stand alone for testing
+    """
+    def OnInit(self):
+        """
+        Defines an init when running as standalone
+        """
+        wx.InitAllImageHandlers()
+        dialog = DialogRelease(None, -1, "")
+        self.SetTopWindow(dialog)
+        dialog.ShowModal()
+        dialog.Destroy()
+        return 1
+
+# end of class MyApp
+
+if __name__ == "__main__":
+    app = MyApp(0)
+    app.MainLoop()
Index: src/sas/sasview/local_config.py
===================================================================
--- src/sas/sasview/local_config.py	(revision b229a3bf14cf52237670dc67090e092cbe9939db)
+++ src/sas/sasview/local_config.py	(revision 5e88e27c8a0ea11eadbfa391f3676e1754e9c854)
@@ -33,4 +33,5 @@
 _do_aboutbox = True
 _do_acknowledge = True
+_do_release = True
 _do_tutorial = True
 _acknowledgement_preamble =\
@@ -49,8 +50,13 @@
 _acknowledgement_citation = \
 '''M. Doucet et al. SasView Version 4.2, Zenodo, 10.5281/zenodo.1412041'''
-
 _acknowledgement =  \
 '''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
 '''
+_release_preamble =\
+'''These Release Notes, incorporating Known Issues, can also be found at:'''
+_release_location1 =\
+'''{SasView Installation Folder}\sasview\installers\README.txt'''
+_release_location2 =\
+'''https://github.com/SasView/sasview/releases/'''
 
 _homepage = "http://www.sasview.org"
@@ -94,5 +100,5 @@
 _corner_image = os.path.join(icon_path, "angles_flat.png")
 _welcome_image = os.path.join(icon_path, "SVwelcome.png")
-_copyright = "(c) 2009 - 2017, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
+_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
 marketplace_url = "http://marketplace.sasview.org/"
 
